# Uses of Interface
java.beans.PropertyEditor

Packages that use PropertyEditor
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.

- ## Uses of PropertyEditor in java.beans

  Classes in java.beans that implement PropertyEditor
  Modifier and Type
  Class
  Description
  `class`
  `PropertyEditorSupport`
  This is a support class to help build property editors.
  Methods in java.beans that return PropertyEditor
  Modifier and Type
  Method
  Description
  `PropertyEditor`
  PropertyDescriptor.`createPropertyEditor(Object bean)`
  Constructs an instance of a property editor using the current property editor class.
  `static PropertyEditor`
  PropertyEditorManager.`findEditor(Class<?> targetType)`
  Locate a value editor for a given target type.